Chromium Code Reviews
Help | Chromium Project | Sign in
(1)

Issue 2809933003: Remove ListValue::Append(raw ptr) on Win (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 week, 6 days ago by vabr (Chromium)
Modified:
1 week, 2 days ago
CC:
chromium-reviews, danakj+watch_chromium.org, vmpstr+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove ListValue::Append(raw ptr) on Win ListValue::Append(raw ptr) is deprecated and the unique_ptr version should be used instead. This CL achieves that on Win, which is the last platform to still use the raw-pointer Append. The CL also changes some related calls to DictionaryValue::Set to take a unique_ptr instead of a raw one. BUG=581865 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.win:win10_chromium_x64_rel_ng Review-Url: https://codereview.chromium.org/2809933003 Cr-Commit-Position: refs/heads/master@{#464866} Committed: https://chromium.googlesource.com/chromium/src/+/7cc8da77161b4ab86ff43a06bda52a53f59a0bff

Patch Set 1 #

Patch Set 2 : Fix Mac, Win, iOS #

Patch Set 3 : Fix more Win and rebase #

Patch Set 4 : More Win fixes #

Patch Set 5 : Yet more Win #

Patch Set 6 : Rebase and typo #

Patch Set 7 : Missing std::move #

Patch Set 8 : More Win + AppendString #

Patch Set 9 : More Win #

Total comments: 8

Patch Set 10 : Includes #

Unified diffs Side-by-side diffs Delta from patch set Stats (+33 lines, -32 lines) Patch
M base/values.h View 1 2 1 chunk +0 lines, -4 lines 0 comments Download
M base/values.cc View 1 2 1 chunk +0 lines, -7 lines 0 comments Download
M chrome/browser/win/enumerate_modules_model.cc View 1 2 3 4 5 6 7 8 4 chunks +4 lines, -2 lines 0 comments Download
M components/policy/core/common/policy_loader_win_unittest.cc View 1 2 3 4 5 6 7 8 9 4 chunks +8 lines, -6 lines 0 comments Download
M components/wifi/wifi_service_win.cc View 1 2 3 4 5 6 7 8 9 5 chunks +6 lines, -3 lines 0 comments Download
M content/browser/tracing/etw_tracing_agent_win.cc View 1 2 3 4 5 6 7 8 9 5 chunks +6 lines, -3 lines 0 comments Download
M content/common/font_list_win.cc View 1 2 3 4 5 6 7 2 chunks +6 lines, -4 lines 0 comments Download
M remoting/host/pairing_registry_delegate_win.cc View 1 2 3 4 5 6 3 chunks +3 lines, -3 lines 0 comments Download
Trybot results:  chromium_presubmit   win10_chromium_x64_rel_ng   win_chromium_x64_rel_ng   win_clang   mac_chromium_compile_dbg_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   ios-device   ios-device-xcode-clang   ios-simulator   linux_chromium_compile_dbg_ng   linux_chromium_tsan_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromium_presubmit   android_n5x_swarming_rel   cast_shell_android   android_cronet   cast_shell_linux   linux_android_rel_ng   android_arm64_dbg_recipe   android_compile_dbg   android_clang_dbg_recipe   android_n5x_swarming_rel   win_clang   win10_chromium_x64_rel_ng   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   ios-device   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   android_n5x_swarming_rel   cast_shell_android   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Depends on Patchset:

Messages

Total messages: 47 (41 generated)
vabr (Chromium)
Hi Brett and Jan, Brett -- please review //base and rubberstap the rest. Jan -- ...
1 week, 4 days ago (2017-04-13 06:03:17 UTC) #30
jdoerrie
LGTM, just nits. https://codereview.chromium.org/2809933003/diff/160001/components/policy/core/common/policy_loader_win_unittest.cc File components/policy/core/common/policy_loader_win_unittest.cc (right): https://codereview.chromium.org/2809933003/diff/160001/components/policy/core/common/policy_loader_win_unittest.cc#newcode35 components/policy/core/common/policy_loader_win_unittest.cc:35: #include "base/win/registry.h" #include "base/values.h" https://codereview.chromium.org/2809933003/diff/160001/components/wifi/wifi_service_win.cc File ...
1 week, 4 days ago (2017-04-13 13:49:50 UTC) #31
vabr (Chromium)
Thanks, Jan! Brett, the sequence getting rid of ListValue::Append(T*) is now ready, once you approve, ...
1 week, 4 days ago (2017-04-13 16:06:48 UTC) #34
brettw (plz ping after 24h)
lgtm
1 week, 3 days ago (2017-04-14 17:26:49 UTC) #37
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2809933003/180001
1 week, 2 days ago (2017-04-15 10:03:48 UTC) #44
commit-bot: I haz the power
1 week, 2 days ago (2017-04-15 10:08:18 UTC) #47
Message was sent while issue was closed.
Committed patchset #10 (id:180001) as
https://chromium.googlesource.com/chromium/src/+/7cc8da77161b4ab86ff43a06bda5...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46